<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="xhtml" tagdir="/WEB-INF/tags/" %>

<!DOCTYPE html>

<html>
    
    <%-- Page header --%>
    <xhtml:head title="Workshop Calendar"
        requiresJS="workshopCalendar,workshopFilter"
        requiresCSS=""
        mode="dev"
    />

    <body id="eventCalendar" class="events">
    
		<section id="container" class="block container">
			<section id="contentSecondary" class="module-secondary">
				<header>Filters</header>
                <script type="text/javascript">

                    Concierge.Widgets.register("Concierge.UI.WorkshopFilter", {
                        id : "eventCategories",
                        element : "contentSecondary"
                    });

                </script>
			</section>
			
			<section id="contentMain" class="module-main">
                <header class="navigation">
                    <div class="selector">
                        <ul class="view-selector segmented-control">
                            <li class="selected"><a href="#" title="Month view">Month</a></li>
                            <li><a href="#" title="List view">List</a></li>
                        </ul>
                    </div>
                    <ul id="settings" class="settings">
                        <li class="drop-down">
                            <a href="#" class="selector" title="Settings">Select</a>
                            <ul>
                                <li><a href="#">Change store</a></li>
                                <li><a href="#">Request custom event</a></li>
                                <li><a href="#">Publish calendar</a></li>
                                <li><a href="#">Market Support Admin</a></li>
                                <li><a href="#">Logout</a></li>
                            </ul>
                        </li>
                    </ul>
                </header>
                
                <ul class="block section-slider">
                	<li><a id="sectionSlider" href="#" title="Hide side bar" class="hide">Hide</a></li>
                </ul>
                
                <div id="calendarViews" class="calendar-views">
                	<h3 class="store-info">Apple Store, Palo Alto</h3>
                    <ul id="calendarNavigation" class="block day-navigation">
                        <li><a href="#" class="previous" title="Previous month" rel="previous">previous</a></li>
                        <li><a href="#" title="today" rel="today">Today</a></li>
                        <li><a href="#" class="next" title="Next month" rel="next">next</a></li>
                     </ul>
                     
                    <ul class="actions">
                    	<li><a href="#" class="add-event" title="Add event">Add event</a></li>
                    </ul>
                    
                	<%-- Calendar Month view --%>
                    <div id="calendarViewMonth" class="calendar-view-container view-month">
                        <%--table class="calendar calendar-month">
                          <thead>
                              <tr>
                                  <th class="current-month" colspan="7">January 2013</th>
                              </tr>
                          </thead>
                          <tbody>
                              <tr>
                                  <td><span>Sun 28</span></td>
                                  <td><span>Mon 29</span></td>
                                  <td><span>Tue 30</span></td>
                                  <td><span>Wed 31</span></td>
                                  <td><span>Thu 1</span></td>
                                  <td><span>Fri 2</span></td>
                                  <td><span>Sat 3</span></td>
                              </tr>
                              <tr>
                                  <td><span>4</span></td>
                                  <td><span>5</span></td>
                                  <td><span>6</span></td>
                                  <td><span>7</span></td>
                                  <td><span>8</span></td>
                                  <td><span>9</span></td>
                                  <td><span>10</span></td>
                              </tr>
                              <tr>
                                  <td><span>11</span></td>
                                  <td><span>12</span></td>
                                  <td><span>13</span></td>
                                  <td><span>14</span></td>
                                  <td><span>15</span></td>
                                  <td><span>16</span></td>
                                  <td><span>17</span></td>
                              </tr>
                              <tr>
                                  <td><span>18</span></td>
                                  <td><span>19</span></td>
                                  <td><span>20</span></td>
                                  <td class="today">
                                      <p><em>Today</em><span>21</span></p>
                                  </td>
                                  <td><span>22</span></td>
                                  <td><span>23</span></td>
                                  <td><span>24</span></td>
                              </tr>
                              <tr>
                                  <td><span>25</span></td>
                                  <td><span>26</span></td>
                                  <td><span>27</span></td>
                                  <td><span>28</span></td>
                                  <td><span>29</span></td>
                                  <td><span>30</span></td>
                                  <td><span>1</span></td>
                              </tr>
                          </tbody>
                        </table--%>
                    </div>
                    
                    <%-- Calendar List View --%>
                    <div id="calendarViewList" class="calendar-view">
                        <ul class="block list-view"></ul>
                    </div>
                    
                    <script type="text/javascript">

                        Concierge.Widgets.register("Concierge.UI.WorkshopCalendar", {
                            id : "workshopCalendar",
                            element : "calendarViews",
                            initialMode : "year"
                        });

                    </script>
				</div>
                
			</section>
		</section>
		
    </body>
</html>
