<%@ tag description="Renders the HEAD section of the XHTML page" pageEncoding="utf-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

    <%@ attribute name="title" required="true" %>
    <%@ attribute name="requiresJS" required="false" %>
    <%@ attribute name="requiresCSS" required="false" %>
    <%@ attribute name="mode" required="false" %>
    <%@ attribute name="theme" required="false" %>

    <c:set var="UITheme">
        <c:choose>
            <c:when test="${theme != null}">${theme}</c:when>
            <c:otherwise>concierge</c:otherwise>
        </c:choose>
    </c:set>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="Author" content="Akwaba Systems, Inc." />
        <meta name="keywords" content="Concierge UI Framework, Akwaba Systems" />
        <meta name="description" content="Concierge UI Framework"/>
        <title>${title}</title>
        <link rel="shortcut icon" href="${webRoot}/images/favicon.ico" type="image/x-icon" />
        
        <c:choose>
            <c:when test="${mode eq 'dev'}">
        <script type="text/javascript" src="${webRoot}/scripts/jquery-1.8.3.min.js?${buildTime}"></script>
        <script type="text/javascript" src="${webRoot}/scripts/concierge.js?${buildTime}"></script>
                <c:forTokens var="file" items="${requiresJS}" delims=",">
        <script type="text/javascript" src="${webRoot}/scripts/widgets/${file}.js?${buildTime}"></script>
                </c:forTokens>
            </c:when>
            <c:otherwise>
        <script type="text/javascript" src="${webRoot}/scripts/concierge-min.js?${buildTime}"></script>
        <script type="text/javascript" src="${webRoot}/scripts/concierge-api-min.js?${buildTime}"></script>
                <c:forTokens var="file" items="${requires}" delims=",">
        <script type="text/javascript" src="${webRoot}/scripts/widgets-min/${file}-min.js?${buildTime}"></script>
                </c:forTokens>
            </c:otherwise>
        </c:choose>
    
        <link id="mainTheme" rel="stylesheet" href="${webRoot}/themes/${UITheme}/main.css" type="text/css" media="all" />
        <c:forTokens var="cssFile" items="${requiresCSS}" delims=",">
        <link rel="stylesheet" href="${webRoot}/themes/${UITheme}/${cssFile}.css?${buildTime}" type="text/css" media="all" />
        </c:forTokens>
        
    </head>
    